/*
 * Pidgin - Internet Messenger
 * Copyright (C) Pidgin Developers <devel@pidgin.im>
 *
 * Pidgin is the legal property of its developers, whose names are too numerous
 * to list here.  Please refer to the COPYRIGHT file distributed with this
 * source distribution.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <https://www.gnu.org/licenses/>.
 */

#if !defined(PIDGIN_GLOBAL_HEADER_INSIDE) && !defined(PIDGIN_COMPILATION)
# error "only <pidgin.h> may be included directly"
#endif

#ifndef PIDGIN_ABOUT_H
#define PIDGIN_ABOUT_H

#include <gtk/gtk.h>

#include <adwaita.h>

#include "pidginversion.h"

G_BEGIN_DECLS

/**
 * PidginAboutDialog:
 *
 * A dialog window that describes what Pidgin is all about.
 *
 * Since: 3.0
 */

#define PIDGIN_TYPE_ABOUT_DIALOG (pidgin_about_dialog_get_type())

PIDGIN_AVAILABLE_IN_3_0
G_DECLARE_FINAL_TYPE(PidginAboutDialog, pidgin_about_dialog, PIDGIN,
                     ABOUT_DIALOG, AdwWindow)

/**
 * pidgin_about_dialog_new:
 * @application: (nullable): A #GtkApplication to associate with this dialog.
 *
 * Creates a new about window.
 *
 * Returns: (transfer full) (type PidginAboutDialog): The new about dialog.
 *
 * Since: 3.0
 */
PIDGIN_AVAILABLE_IN_3_0
GtkWidget *pidgin_about_dialog_new(GtkApplication *application);

G_END_DECLS

#endif /* PIDGIN_ABOUT_H */

