/*
 * Pidgin - Internet Messenger
 * Copyright (C) Pidgin Developers <devel@pidgin.im>
 *
 * Pidgin is the legal property of its developers, whose names are too numerous
 * to list here.  Please refer to the COPYRIGHT file distributed with this
 * source distribution.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <https://www.gnu.org/licenses/>.
 */

#if !defined(PIDGIN_GLOBAL_HEADER_INSIDE) && !defined(PIDGIN_COMPILATION)
# error "only <pidgin.h> may be included directly"
#endif

#ifndef PIDGIN_VERSION_CONSTS_H
#define PIDGIN_VERSION_CONSTS_H

/**
 * PIDGIN_MAJOR_VERSION:
 *
 * The major version of the running Pidgin.
 */
#define PIDGIN_MAJOR_VERSION (2)

/**
 * PIDGIN_MINOR_VERSION:
 *
 * The minor version of the running Pidgin.
 */
#define PIDGIN_MINOR_VERSION (92)

/**
 * PIDGIN_MICRO_VERSION:
 *
 * The micro version of the running Pidgin.
 */
#define PIDGIN_MICRO_VERSION (1)

/**
 * PIDGIN_EXTRA_VERSION:
 *
 * The "extra" part of the version number if anything.  Typical values are
 * "devel", "beta1", "rc2", etc.
 */
#define PIDGIN_EXTRA_VERSION ("")

/**
 * PIDGIN_VERSION
 *
 * The entire version as a string.
 */
#define PIDGIN_VERSION ("2.92.1")

#endif /* PIDGIN_VERSION_CONSTS_H */
